﻿@using System.Web.UI.WebControls;

@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using Portal.Models.Receiving.TruckReceiving;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using Portal.Models.Receiving.ReceivingProgress;

<table border="1" width="250" id="tblPart">
    <tr>
        <th>P LANE</th>
        <th>Total Kanban</th>
        <th colspan="2">Actual</th>
    </tr>
    @{
        int i = 1;   
    }
    @foreach (var l in ((List<ReceivingProgressData>)ViewBag.ListProgress))
    {
        
        float PROGRESS = l.PROGRESS;
        float TOTAL = l.TOTAL;
        float CURR_PROG = PROGRESS / TOTAL * 100;
        string bgcolor = "";
        if(i%2==0)
        {
            bgcolor = "#eeeeee";
        }
        else
        {
            bgcolor = "#ffffff";
        }
        <tr bgcolor="@bgcolor"><td>@l.P_LANE_SEQ</td><td align="right">@l.TOTAL</td><td align="right">@l.PROGRESS</td><td>@Math.Round(CURR_PROG,0)%</td></tr>
        i++;
    }
</table>